wibble::exception::Context Class Reference

Store context information for an exception. More...

`#include <exception.h>`

Inheritance diagram for wibble::exception::Context:
[legend]

## Public Member Functions

| Context () throw ()
| Context (const std::string &context) throw ()
void | addContext (const std::string &c) throw ()
std::string | formatContext () const throw ()
const std::vector< std::string > & | context () const throw ()

## Protected Attributes

std::vector< std::string > | m_context

## Detailed Description

Store context information for an exception.

## Constructor & Destructor Documentation

wibble::exception::Context::Context | ( |  | ) |
throw | ( |
| ) |  |

inline

References wibble::exception::AddContext::copyContext().

wibble::exception::Context::Context | ( | const std::string & | context | ) |
throw | ( |
| ) |  |

inline

References addContext(), context(), and wibble::exception::AddContext::copyContext().

## Member Function Documentation

void wibble::exception::Context::addContext | ( | const std::string & | c | ) |
throw | ( |
| ) |  |

inline

Referenced by Context().

const std::vector<std::string>& wibble::exception::Context::context | ( |  | ) | const
throw | ( |
| ) |  |

inline

References m_context.

Referenced by Context().

std::string wibble::exception::Context::formatContext | ( |  | ) | const
throw | ( |
| ) |  |

inline

Referenced by TestException::addContext(), and wibble::exception::Generic::fullInfo().

## Member Data Documentation

std::vector<std::string> wibble::exception::Context::m_context

protected

Referenced by context().

The documentation for this class was generated from the following file:

- exception.h